org.jvnet.hudson

## Interface Windows.Kernel32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

Enclosing class:
  Windows

    public static interface Windows.Kernel32
    extends com.sun.jna.win32.StdCallLibrary

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

### Nested classes/interfaces inherited from interface com.sun.jna.Library

`com.sun.jna.Library.Handler`

### Field Summary

Fields
`static Windows.Kernel32` `INSTANCE`

### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

`FUNCTION_MAPPER, STDCALL_CONVENTION`

### Fields inherited from interface com.sun.jna.Library

`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

### Method Summary

Methods
`boolean` `GlobalMemoryStatusEx(Windows.MEMORYSTATUSEX p)`

### Field Detail

#### INSTANCE

    static final Windows.Kernel32 INSTANCE

### Method Detail

#### GlobalMemoryStatusEx

    boolean GlobalMemoryStatusEx(Windows.MEMORYSTATUSEX p)